com.amazonaws.services.simpleworkflow.model

## Class WorkflowExecutionInfo

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.WorkflowExecutionInfo

All Implemented Interfaces:
  Serializable, Cloneable

    public class WorkflowExecutionInfo
    extends Object
    implements Serializable, Cloneable

Contains information about a workflow execution.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WorkflowExecutionInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkflowExecutionInfo` `clone()`
`boolean` `equals(Object obj)`
`Boolean` `getCancelRequested()` Set to true if a cancellation is requested for this workflow execution.
`String` `getCloseStatus()` If the execution status is closed then this specifies how the execution was closed:
`Date` `getCloseTimestamp()` The time when the workflow execution was closed.
`WorkflowExecution` `getExecution()` The workflow execution this information is about.
`String` `getExecutionStatus()` The current status of the execution.
`WorkflowExecution` `getParent()` If this workflow execution is a child of another execution then contains the workflow execution that started this execution.
`Date` `getStartTimestamp()` The time when the execution was started.
`List<String>` `getTagList()` The list of tags associated with the workflow execution.
`WorkflowType` `getWorkflowType()` The type of the workflow execution.
`int` `hashCode()`
`Boolean` `isCancelRequested()` Set to true if a cancellation is requested for this workflow execution.
`void` `setCancelRequested(Boolean cancelRequested)` Set to true if a cancellation is requested for this workflow execution.
`void` `setCloseStatus(CloseStatus closeStatus)` If the execution status is closed then this specifies how the execution was closed:
`void` `setCloseStatus(String closeStatus)` If the execution status is closed then this specifies how the execution was closed:
`void` `setCloseTimestamp(Date closeTimestamp)` The time when the workflow execution was closed.
`void` `setExecution(WorkflowExecution execution)` The workflow execution this information is about.
`void` `setExecutionStatus(ExecutionStatus executionStatus)` The current status of the execution.
`void` `setExecutionStatus(String executionStatus)` The current status of the execution.
`void` `setParent(WorkflowExecution parent)` If this workflow execution is a child of another execution then contains the workflow execution that started this execution.
`void` `setStartTimestamp(Date startTimestamp)` The time when the execution was started.
`void` `setTagList(Collection<String> tagList)` The list of tags associated with the workflow execution.
`void` `setWorkflowType(WorkflowType workflowType)` The type of the workflow execution.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`WorkflowExecutionInfo` `withCancelRequested(Boolean cancelRequested)` Set to true if a cancellation is requested for this workflow execution.
`WorkflowExecutionInfo` `withCloseStatus(CloseStatus closeStatus)` If the execution status is closed then this specifies how the execution was closed:
`WorkflowExecutionInfo` `withCloseStatus(String closeStatus)` If the execution status is closed then this specifies how the execution was closed:
`WorkflowExecutionInfo` `withCloseTimestamp(Date closeTimestamp)` The time when the workflow execution was closed.
`WorkflowExecutionInfo` `withExecution(WorkflowExecution execution)` The workflow execution this information is about.
`WorkflowExecutionInfo` `withExecutionStatus(ExecutionStatus executionStatus)` The current status of the execution.
`WorkflowExecutionInfo` `withExecutionStatus(String executionStatus)` The current status of the execution.
`WorkflowExecutionInfo` `withParent(WorkflowExecution parent)` If this workflow execution is a child of another execution then contains the workflow execution that started this execution.
`WorkflowExecutionInfo` `withStartTimestamp(Date startTimestamp)` The time when the execution was started.
`WorkflowExecutionInfo` `withTagList(Collection<String> tagList)` The list of tags associated with the workflow execution.
`WorkflowExecutionInfo` `withTagList(String... tagList)` The list of tags associated with the workflow execution.
`WorkflowExecutionInfo` `withWorkflowType(WorkflowType workflowType)` The type of the workflow execution.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WorkflowExecutionInfo

    public WorkflowExecutionInfo()

### Method Detail

#### setExecution

    public void setExecution(WorkflowExecution execution)

The workflow execution this information is about.

Parameters:
  `execution` - The workflow execution this information is about.

#### getExecution

    public WorkflowExecution getExecution()

The workflow execution this information is about.

Returns:
  The workflow execution this information is about.

#### withExecution

    public WorkflowExecutionInfo withExecution(WorkflowExecution execution)

The workflow execution this information is about.

Parameters:
  `execution` - The workflow execution this information is about.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowType

    public void setWorkflowType(WorkflowType workflowType)

The type of the workflow execution.

Parameters:
  `workflowType` - The type of the workflow execution.

#### getWorkflowType

    public WorkflowType getWorkflowType()

The type of the workflow execution.

Returns:
  The type of the workflow execution.

#### withWorkflowType

    public WorkflowExecutionInfo withWorkflowType(WorkflowType workflowType)

The type of the workflow execution.

Parameters:
  `workflowType` - The type of the workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartTimestamp

    public void setStartTimestamp(Date startTimestamp)

The time when the execution was started.

Parameters:
  `startTimestamp` - The time when the execution was started.

#### getStartTimestamp

    public Date getStartTimestamp()

The time when the execution was started.

Returns:
  The time when the execution was started.

#### withStartTimestamp

    public WorkflowExecutionInfo withStartTimestamp(Date startTimestamp)

The time when the execution was started.

Parameters:
  `startTimestamp` - The time when the execution was started.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCloseTimestamp

    public void setCloseTimestamp(Date closeTimestamp)

The time when the workflow execution was closed. Set only if the execution status is CLOSED.

Parameters:
  `closeTimestamp` - The time when the workflow execution was closed. Set only if the execution status is CLOSED.

#### getCloseTimestamp

    public Date getCloseTimestamp()

The time when the workflow execution was closed. Set only if the execution status is CLOSED.

Returns:
  The time when the workflow execution was closed. Set only if the execution status is CLOSED.

#### withCloseTimestamp

    public WorkflowExecutionInfo withCloseTimestamp(Date closeTimestamp)

The time when the workflow execution was closed. Set only if the execution status is CLOSED.

Parameters:
  `closeTimestamp` - The time when the workflow execution was closed. Set only if the execution status is CLOSED.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setExecutionStatus

    public void setExecutionStatus(String executionStatus)

The current status of the execution.

Parameters:
  `executionStatus` - The current status of the execution.
See Also:
  `ExecutionStatus`

#### getExecutionStatus

    public String getExecutionStatus()

The current status of the execution.

Returns:
  The current status of the execution.
See Also:
  `ExecutionStatus`

#### withExecutionStatus

    public WorkflowExecutionInfo withExecutionStatus(String executionStatus)

The current status of the execution.

Parameters:
  `executionStatus` - The current status of the execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ExecutionStatus`

#### setExecutionStatus

    public void setExecutionStatus(ExecutionStatus executionStatus)

The current status of the execution.

Parameters:
  `executionStatus` - The current status of the execution.
See Also:
  `ExecutionStatus`

#### withExecutionStatus

    public WorkflowExecutionInfo withExecutionStatus(ExecutionStatus executionStatus)

The current status of the execution.

Parameters:
  `executionStatus` - The current status of the execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ExecutionStatus`

#### setCloseStatus

    public void setCloseStatus(String closeStatus)

If the execution status is closed then this specifies how the execution was closed:

- `COMPLETED`: the execution was successfully completed.
- `CANCELED`: the execution was canceled.Cancellation allows the implementation to gracefully clean up before the execution is closed.
- `TERMINATED`: the execution was force terminated.
- `FAILED`: the execution failed to complete.
- `TIMED_OUT`: the execution did not complete in the alloted time and was automatically timed out.
- `CONTINUED_AS_NEW`: the execution is logically continued. This means the current execution was completed and a new execution was started to carry on the workflow.

Parameters:
  `closeStatus` - If the execution status is closed then this specifies how the execution was closed:
  - `COMPLETED`: the execution was successfully completed.
  - `CANCELED`: the execution was canceled.Cancellation allows the implementation to gracefully clean up before the execution is closed.
  - `TERMINATED`: the execution was force terminated.
  - `FAILED`: the execution failed to complete.
  - `TIMED_OUT`: the execution did not complete in the alloted time and was automatically timed out.
  - `CONTINUED_AS_NEW`: the execution is logically continued. This means the current execution was completed and a new execution was started to carry on the workflow.
See Also:
  `CloseStatus`

#### getCloseStatus

    public String getCloseStatus()

If the execution status is closed then this specifies how the execution was closed:

- `COMPLETED`: the execution was successfully completed.
- `CANCELED`: the execution was canceled.Cancellation allows the implementation to gracefully clean up before the execution is closed.
- `TERMINATED`: the execution was force terminated.
- `FAILED`: the execution failed to complete.
- `TIMED_OUT`: the execution did not complete in the alloted time and was automatically timed out.
- `CONTINUED_AS_NEW`: the execution is logically continued. This means the current execution was completed and a new execution was started to carry on the workflow.

Returns:
  If the execution status is closed then this specifies how the execution was closed:
  - `COMPLETED`: the execution was successfully completed.
  - `CANCELED`: the execution was canceled.Cancellation allows the implementation to gracefully clean up before the execution is closed.
  - `TERMINATED`: the execution was force terminated.
  - `FAILED`: the execution failed to complete.
  - `TIMED_OUT`: the execution did not complete in the alloted time and was automatically timed out.
  - `CONTINUED_AS_NEW`: the execution is logically continued. This means the current execution was completed and a new execution was started to carry on the workflow.
See Also:
  `CloseStatus`

#### withCloseStatus

    public WorkflowExecutionInfo withCloseStatus(String closeStatus)

If the execution status is closed then this specifies how the execution was closed:

- `COMPLETED`: the execution was successfully completed.
- `CANCELED`: the execution was canceled.Cancellation allows the implementation to gracefully clean up before the execution is closed.
- `TERMINATED`: the execution was force terminated.
- `FAILED`: the execution failed to complete.
- `TIMED_OUT`: the execution did not complete in the alloted time and was automatically timed out.
- `CONTINUED_AS_NEW`: the execution is logically continued. This means the current execution was completed and a new execution was started to carry on the workflow.

Parameters:
  `closeStatus` - If the execution status is closed then this specifies how the execution was closed:
  - `COMPLETED`: the execution was successfully completed.
  - `CANCELED`: the execution was canceled.Cancellation allows the implementation to gracefully clean up before the execution is closed.
  - `TERMINATED`: the execution was force terminated.
  - `FAILED`: the execution failed to complete.
  - `TIMED_OUT`: the execution did not complete in the alloted time and was automatically timed out.
  - `CONTINUED_AS_NEW`: the execution is logically continued. This means the current execution was completed and a new execution was started to carry on the workflow.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `CloseStatus`

#### setCloseStatus

    public void setCloseStatus(CloseStatus closeStatus)

If the execution status is closed then this specifies how the execution was closed:

- `COMPLETED`: the execution was successfully completed.
- `CANCELED`: the execution was canceled.Cancellation allows the implementation to gracefully clean up before the execution is closed.
- `TERMINATED`: the execution was force terminated.
- `FAILED`: the execution failed to complete.
- `TIMED_OUT`: the execution did not complete in the alloted time and was automatically timed out.
- `CONTINUED_AS_NEW`: the execution is logically continued. This means the current execution was completed and a new execution was started to carry on the workflow.

Parameters:
  `closeStatus` - If the execution status is closed then this specifies how the execution was closed:
  - `COMPLETED`: the execution was successfully completed.
  - `CANCELED`: the execution was canceled.Cancellation allows the implementation to gracefully clean up before the execution is closed.
  - `TERMINATED`: the execution was force terminated.
  - `FAILED`: the execution failed to complete.
  - `TIMED_OUT`: the execution did not complete in the alloted time and was automatically timed out.
  - `CONTINUED_AS_NEW`: the execution is logically continued. This means the current execution was completed and a new execution was started to carry on the workflow.
See Also:
  `CloseStatus`

#### withCloseStatus

    public WorkflowExecutionInfo withCloseStatus(CloseStatus closeStatus)

If the execution status is closed then this specifies how the execution was closed:

- `COMPLETED`: the execution was successfully completed.
- `CANCELED`: the execution was canceled.Cancellation allows the implementation to gracefully clean up before the execution is closed.
- `TERMINATED`: the execution was force terminated.
- `FAILED`: the execution failed to complete.
- `TIMED_OUT`: the execution did not complete in the alloted time and was automatically timed out.
- `CONTINUED_AS_NEW`: the execution is logically continued. This means the current execution was completed and a new execution was started to carry on the workflow.

Parameters:
  `closeStatus` - If the execution status is closed then this specifies how the execution was closed:
  - `COMPLETED`: the execution was successfully completed.
  - `CANCELED`: the execution was canceled.Cancellation allows the implementation to gracefully clean up before the execution is closed.
  - `TERMINATED`: the execution was force terminated.
  - `FAILED`: the execution failed to complete.
  - `TIMED_OUT`: the execution did not complete in the alloted time and was automatically timed out.
  - `CONTINUED_AS_NEW`: the execution is logically continued. This means the current execution was completed and a new execution was started to carry on the workflow.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `CloseStatus`

#### setParent

    public void setParent(WorkflowExecution parent)

If this workflow execution is a child of another execution then contains the workflow execution that started this execution.

Parameters:
  `parent` - If this workflow execution is a child of another execution then contains the workflow execution that started this execution.

#### getParent

    public WorkflowExecution getParent()

If this workflow execution is a child of another execution then contains the workflow execution that started this execution.

Returns:
  If this workflow execution is a child of another execution then contains the workflow execution that started this execution.

#### withParent

    public WorkflowExecutionInfo withParent(WorkflowExecution parent)

If this workflow execution is a child of another execution then contains the workflow execution that started this execution.

Parameters:
  `parent` - If this workflow execution is a child of another execution then contains the workflow execution that started this execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getTagList

    public List<String> getTagList()

The list of tags associated with the workflow execution. Tags can be used to identify and list workflow executions of interest through the visibility APIs. A workflow execution can have a maximum of 5 tags.

Returns:
  The list of tags associated with the workflow execution. Tags can be used to identify and list workflow executions of interest through the visibility APIs. A workflow execution can have a maximum of 5 tags.

#### setTagList

    public void setTagList(Collection<String> tagList)

The list of tags associated with the workflow execution. Tags can be used to identify and list workflow executions of interest through the visibility APIs. A workflow execution can have a maximum of 5 tags.

Parameters:
  `tagList` - The list of tags associated with the workflow execution. Tags can be used to identify and list workflow executions of interest through the visibility APIs. A workflow execution can have a maximum of 5 tags.

#### withTagList

    public WorkflowExecutionInfo withTagList(String... tagList)

The list of tags associated with the workflow execution. Tags can be used to identify and list workflow executions of interest through the visibility APIs. A workflow execution can have a maximum of 5 tags.

NOTE: This method appends the values to the existing list (if any). Use `setTagList(java.util.Collection)` or `withTagList(java.util.Collection)` if you want to override the existing values.

Parameters:
  `tagList` - The list of tags associated with the workflow execution. Tags can be used to identify and list workflow executions of interest through the visibility APIs. A workflow execution can have a maximum of 5 tags.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withTagList

    public WorkflowExecutionInfo withTagList(Collection<String> tagList)

The list of tags associated with the workflow execution. Tags can be used to identify and list workflow executions of interest through the visibility APIs. A workflow execution can have a maximum of 5 tags.

Parameters:
  `tagList` - The list of tags associated with the workflow execution. Tags can be used to identify and list workflow executions of interest through the visibility APIs. A workflow execution can have a maximum of 5 tags.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCancelRequested

    public void setCancelRequested(Boolean cancelRequested)

Set to true if a cancellation is requested for this workflow execution.

Parameters:
  `cancelRequested` - Set to true if a cancellation is requested for this workflow execution.

#### getCancelRequested

    public Boolean getCancelRequested()

Set to true if a cancellation is requested for this workflow execution.

Returns:
  Set to true if a cancellation is requested for this workflow execution.

#### withCancelRequested

    public WorkflowExecutionInfo withCancelRequested(Boolean cancelRequested)

Set to true if a cancellation is requested for this workflow execution.

Parameters:
  `cancelRequested` - Set to true if a cancellation is requested for this workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isCancelRequested

    public Boolean isCancelRequested()

Set to true if a cancellation is requested for this workflow execution.

Returns:
  Set to true if a cancellation is requested for this workflow execution.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public WorkflowExecutionInfo clone()

Overrides:
  `clone` in class `Object`